Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.filter
Class InputOutputFilter

    java.lang.Object
      org.jboss.soa.esb.filter.InputOutputFilter

    public class InputOutputFilter

extends java.lang.Object

An inputoutput filter is called when the message is being received/sent and after it has been received from the transport/before it is passed to the transport. Implementations may augment or modify the message en route. Implementations that are pure output or pure input can just override the desired operation.

Author:
  marklittle

Constructor Summary
`InputOutputFilter()`

Method Summary
`Message` | `onInput(Message msg, java.util.Map<java.lang.String,java.lang.Object> params)` Called immediately after the message is received from the transport.
`Message` | `onOutput(Message msg, java.util.Map<java.lang.String,java.lang.Object> params)` Called as the message flows towards the transport.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputOutputFilter

    public InputOutputFilter()

Method Detail

### onOutput

    public Message onOutput(Message msg,
                            java.util.Map<java.lang.String,java.lang.Object> params)
                     throws CourierException

  Called as the message flows towards the transport.

  Parameters:
    `msg` - the message
    `params` - additional information
  Returns:
    an augmented message (or the original message)
  Throws:
    `CourierException` - thrown if an error occurs.

### onInput

    public Message onInput(Message msg,
                           java.util.Map<java.lang.String,java.lang.Object> params)
                    throws CourierException

  Called immediately after the message is received from the transport.

  Parameters:
    `msg` - the message
    `params` - additional information
  Returns:
    an augmented message (or the original message)
  Throws:
    `CourierException` - thrown if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD